---
- library: '&IDL_MochaBaseSystem;'
  instances:
  - class:      '&IDC_BuildAttributeMethod;'
    inherits:  '&IDC_Method;'
    name:      BA - Build Attribute Method
    index:     30
    customTagName: buildAttributeMethod
    attributes:
    - instance: '&IDA_Verb;'
      customTagName: 'verb'
    - instance: '&IDA_Name;'
      customTagName: 'name'
    - instance: '&IDA_Value;'
      customTagName: 'initialValue'
    relationships:
    - instance: '&IDR_Build_Attribute_Method__returns__Attribute;'
      customTagName: 'returnsAttributeId'
    - instance: '&IDR_Build_Attribute_Method__builds_with__Executable_returning_Attribute;'
      customTagName: 'buildsWithAttributes'

  - relationship: '&IDR_Build_Attribute_Method__returns__Attribute;'
    index: 60
    sourceClassId: '&IDC_BuildAttributeMethod;'
    type: 'returns'
    destinationClassId: '&IDC_Attribute;'
    siblingRelationshipId: '&IDR_Attribute__returned_by__Build_Attribute_Method;'
    singular: no

  - relationship: '&IDR_Attribute__returned_by__Build_Attribute_Method;'
    index: 61
    sourceClassId: '&IDC_Attribute;'
    type: 'returned by'
    destinationClassId: '&IDC_BuildAttributeMethod;'
    siblingRelationshipId: '&IDR_Build_Attribute_Method__returns__Attribute;'
    singular: no
